Subject: FVWM: Funny window placement behaviour with 2.0.42

From: Brady Montz <[email-masked]>
Date: Sat, 20 Apr 1996 12:18:02 -0700 (MST)

I prefer activeplacement. With previous versions, I got this behavior
as the default. Now I have to put ActivePlacement in my Style list for "*"
to get it. No biggie.

Now the funny part. Sometimes I only get ActivePlacement when I'm on a certain
page on desk 0. When I'm on any other page, or any other desk, my windows get
placed for me. Happens for xterm, xman, and xclock at least.

When this happens, it continues to happen until I quit fvwm and start it
up again, and often it continues after that. 

Has anybody else experienced this?

For the curious, here's the style section of my .fvwm2rc:

#define UTIL_STYLE NoTitle, NoHandles, Sticky, WindowListSkip, ClickToFocus
#define FVWM_BASE  Icon toolbox.xpm, NoTitle, HandleWidth 5, Handles, \
                   Sticky, WindowListSkip, BorderWidth 5, ClickToFocus, \
                   BackColor #303067675454

Style "*"          IconBox 0 0 200 400, ActivePlacement
Style "*"          MWMFunctions, HintOverride, MWMDecor, Color white/steelblue
Style "*"          SloppyFocus, BorderWidth 5, HandleWidth 5, NoIcon

Style "FvwmButtons"	FVWM_BASE
Style "FvwmIconMan"	FVWM_BASE
Style "FvwmIdent"	FVWM_BASE
Style "*biff"		FVWM_BASE
Style "FvwmButtons"	NoHandles
Style "Dctrl"		Sticky

Style "xclock"     UTIL_STYLE
Style "xdaliclock" UTIL_STYLE
Style "xload"      UTIL_STYLE
Style "xmeter"     UTIL_STYLE
Style "perfmeter"  UTIL_STYLE
Style "xconsole"   Sticky
Style "hpterm"     Sticky
Style "xcalc"      NoIconTitle, Sticky
Style "xcb"	   Sticky
Style "Workman"    Sticky, Lenience

[email-masked]
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].